org.opencv.face

## Class LBPHFaceRecognizer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.face.FaceRecognizer
    - - org.opencv.face.LBPHFaceRecognizer

-     public class LBPHFaceRecognizer
      extends FaceRecognizer

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LBPHFaceRecognizer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LBPHFaceRecognizer` | `__fromPtr__(long addr)`
    `static LBPHFaceRecognizer` | `create()`
    `static LBPHFaceRecognizer` | `create(int radius)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x, int grid_y)`
    `static LBPHFaceRecognizer` | `create(int radius, int neighbors, int grid_x, int grid_y, double threshold)`
    `protected void` | `finalize()`
    `int` | `getGridX()`
    `int` | `getGridY()`
    `java.util.List<Mat>` | `getHistograms()`
    `Mat` | `getLabels()`
    `int` | `getNeighbors()`
    `int` | `getRadius()`
    `double` | `getThreshold()`
    `void` | `setGridX(int val)`
    `void` | `setGridY(int val)`
    `void` | `setNeighbors(int val)`
    `void` | `setRadius(int val)`
    `void` | `setThreshold(double val)`

    - ### Methods inherited from class org.opencv.face.FaceRecognizer

      `getLabelInfo, getLabelsByString, predict_collect, predict_label, predict, read, setLabelInfo, train, update, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LBPHFaceRecognizer

          protected LBPHFaceRecognizer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static LBPHFaceRecognizer __fromPtr__(long addr)

    - #### getLabels

          public Mat getLabels()

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x,
                                                  int grid_y,
                                                  double threshold)

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x,
                                                  int grid_y)

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors,
                                                  int grid_x)

    - #### create

          public static LBPHFaceRecognizer create(int radius,
                                                  int neighbors)

    - #### create

          public static LBPHFaceRecognizer create(int radius)

    - #### create

          public static LBPHFaceRecognizer create()

    - #### getThreshold

          public double getThreshold()

    - #### getGridX

          public int getGridX()

    - #### getGridY

          public int getGridY()

    - #### getNeighbors

          public int getNeighbors()

    - #### getRadius

          public int getRadius()

    - #### getHistograms

          public java.util.List<Mat> getHistograms()

    - #### setGridX

          public void setGridX(int val)

    - #### setGridY

          public void setGridY(int val)

    - #### setNeighbors

          public void setNeighbors(int val)

    - #### setRadius

          public void setRadius(int val)

    - #### setThreshold

          public void setThreshold(double val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `FaceRecognizer`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3